<?php
/**
==============================================================================
*	@package iilearn.document
==============================================================================
*/
	// name of the language file that needs to be included
	$language_file = 'document';

	include('../inc/global.inc.php');

	$noPHP_SELF=true;

	$path_array=explode('/',str_replace('\\','/',$_GET['file']));

	$path_array = array_map('urlencode',$path_array);

	$_GET['file']=implode('/',$path_array);

	// hgz 20070429 decode chinese character 
    //$nameTools = $_GET['file'];
    $nameTools = urldecode($_GET['file']);

	if(isset($_SESSION['_gid']) && $_SESSION['_gid']!='')
	{
		$req_gid = '&amp;gidReq='.$_SESSION['_gid'];
		$interbreadcrumb[]= array ("url"=>"../group/group_space.php?gidReq=".$_SESSION['_gid'], "name"=> get_lang('GroupSpace'));
	}

	// hgz 20070719 '\' -> '/'
	$curdirpath = str_replace('\\','/',dirname($_GET['file']));
	//$interbreadcrumb[]= array ("url"=>"./document.php?curdirpath=".dirname($_GET['file']).$req_gid, "name"=> $langDocuments);
	$interbreadcrumb[]= array ("url"=>"./document.php?curdirpath=" . $curdirpath . $req_gid, "name"=> $langDocuments);
	
	$interbreadcrumb[]= array ("url"=>"./showinframes.php?" . api_get_cidreq() . "&amp;file=" . $_GET['file'] . $req_gid, "name"=> $nameTools);

	Display::display_header(null,"Doc");

	echo "<div align=\"center\">";
    // hgz 20070429 add urldecode
	echo "<a href='".api_get_path('WEB_COURSE_PATH').$_course['path'].'/document'.urldecode($_GET['file'])."?".api_get_cidreq()."' target='blank'>".$lang_cut_paste_link."</a></div>";
?>